M.2 formerly known as the Next Generation Form Factor (NGFF) is a specification for internally mounted computer expansion cards and associated connectors. The M.2 replaces the mSATA standard.

Helios64 provides an M.2 interface (J2) to connect the following expansion cards:

* M.2 SATA SSD
* M.2 USB2.0 modules (e.g NPU extension).

![M.2 Location](/helios64/img/m2/m2.jpg)

!!! Important
		PCIe SSD is not supported.

## Form Factor and Keying

The M.2 connector (J2) is Key-B which is compatible with most of M.2 SATA SSD of Key-B or Key-M+B Key form factors.

![M.2 Keying](/helios64/img/m2/m2_keying.jpg)

The board provides mounting holes for 2260 and 2280 cards.

![M.2 Form Factor](/helios64/img/m2/m2_form_factor.jpg)

## Installation

In order to install a M.2 device you will have to first mount a metal standoff on Helios64 board. Choose the mounting hole according to your M.2 device size (either 2260 or 2280).

> **Install the standoff in one of the mounting hole with one M3x3mm screw.**

![M.2 SSD Install 1](/helios64/img/m2/m2_ssd_install_pic1.png)

![M.2 SSD Install 2](/helios64/img/m2/m2_ssd_install_pic2.png)

!!! Note
		Standoff and screws are provided with Helios64 board.

> **Insert the device in M.2 the slot.**

![M.2 SSD Install 3](/helios64/img/m2/m2_ssd_install_pic3.png)

> **Secure the M.2 device with the other M3x3mm screw.**

![M.2 SSD Install 4](/helios64/img/m2/m2_ssd_install_pic4.png)

![M.2 SSD Install 5](/helios64/img/m2/m2_ssd_install_pic5.png)

## Usage

The M.2 interface on Helios64 only supports SATA 3.0 and USB 2.0 buses.

The M.2 SATA bus is shared with SATA Port 1. Therefore if you install an M.2 SATA SSD card, SATA Port 1 (J3) will automatically get disabled. But if you use the M.2 interface for USB modules, the SATA Port 1 (J3) is still enabled and accessible by the system.

For more details refer to [SATA page](/helios64/sata/).

!!! Note
		The M.2 interface on Helios64 may NOT support USB modem (WWAN) because USB modem often requires external SIM Card connection and other signals.
